- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# sbuild-log.cc File Reference

`#include <config.h>`
`#include "sbuild-error.h"`
`#include "sbuild-i18n.h"`
`#include "sbuild-log.h"`
`#include "sbuild-nostream.h"`
`#include "sbuild-util.h"`
`#include <iostream>`
`#include <boost/format.hpp>`

Include dependency graph for sbuild-log.cc:

## Functions
std::ostream & | sbuild::log_info ()
| Log an informational message.
std::ostream & | sbuild::log_warning ()
| Log a warning message.
std::ostream & | sbuild::log_error ()
| Log an error message.
std::ostream & | sbuild::log_debug (sbuild::DebugLevel level)
| Log a debug message.
void | sbuild::log_exception_warning (std::exception const &e)
| Log an exception as a warning.
void | sbuild::log_exception_error (std::exception const &e)
| Log an exception as an error.